Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class IDKey

    java.lang.Object
      org.apache.axis.utils.IDKey

public class IDKey
extends java.lang.Object

Wrap an identity key (System.identityHashCode())

Constructor Summary
`IDKey(java.lang.Object _value)` Constructor for IDKey

Method Summary
`boolean` | `equals(java.lang.Object other)` checks if instances are equal
`int` | `hashCode()` returns hashcode

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDKey

    public IDKey(java.lang.Object _value)

  Constructor for IDKey

Parameters:
  `_value` -

Method Detail

### hashCode

    public int hashCode()

  returns hashcode

  Returns:

### equals

    public boolean equals(java.lang.Object other)

  checks if instances are equal

  Parameters:
    `other` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.